using SteUp.Shared.Core.Dto;
using SteUp.Shared.Core.Dto.PageState;

namespace SteUp.Shared.Core.Data.Contracts;

public interface ISteupDataService
{
    Task Init();
    Task<bool> CanOpenNewInspection();
    void RegisterAppVersion();
    Task CheckAndUpdateStatus();

    List<PuntoVenditaDto> PuntiVenditaList { get; }
    InspectionPageState InspectionPageState { get; set; }
    List<JtbFasiDto> Reparti { get; }
    List<ActivityTypeDto> TipiAttività { get; }
}